Bug 475508 - Review Request: javassist - The Java Programming Assistant provides simple Java bytecode manipulation
Review Request: javassist - The Java Programming Assistant provides simple Ja...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
: 227067 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-09 10:41 EST by Sandro Mathys
Modified: 2010-11-18 16:14 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-11 08:51:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sandro Mathys 2008-12-09 10:41:46 EST
Spec URL: http://red.fedorapeople.org/SRPMS/javassist.spec
SRPM URL: http://red.fedorapeople.org/SRPMS/javassist-3.9.0-0.1.fc10.src.rpm
Description: Javassist enables Java programs to define a new class at runtime and to
modify a class file when the JVM loads it. Unlike other similar
bytecode editors, Javassist provides two levels of API: source level
and bytecode level. If the users use the source-level API, they can
edit a class file without knowledge of the specifications of the Java
bytecode. The whole API is designed with only the vocabulary of the
Java language. You can even specify inserted bytecode in the form of
source text; Javassist compiles it on the fly. On the other hand, the
bytecode-level API allows the users to directly edit a class file as
other editors.

rpmlint on spec, srpm and noarch-rpms finishes checking without any warnings or
errors.

I'd still need a sponsor.
Comment 1 Sandro Mathys 2008-12-11 20:01:18 EST
Successfully created a mock-(re)build of this version of this pkg.
Comment 2 Mamoru TASAKA 2008-12-15 09:59:38 EST
(Removing NEEDSPONSOR)
Comment 3 Sandro Mathys 2008-12-15 23:32:10 EST
Spec URL: http://red.fedorapeople.org/SRPMS/javassist.spec
SRPM URL: http://red.fedorapeople.org/SRPMS/javassist-3.9.0-1.fc10.src.rpm

New version including much of the experience I got when my jcalendar pkg was
reviewed.
Comment 4 Sandro Mathys 2008-12-18 16:59:03 EST
Spec URL: http://red.fedorapeople.org/SRPMS/javassist.spec
SRPM URL: http://red.fedorapeople.org/SRPMS/javassist-3.9.0-1.fc11.src.rpm

Rebuilt on rawhide.
Comment 5 Mamoru TASAKA 2008-12-22 13:58:40 EST
For 3.9.0-1

* License
  - The license tag for this package should be
    "MPLv1.1 or LGPLv2+".

* Macros
  - Use macros consistently (for cosmetic issue). Please
    use %{name} or %name, not both.

Other issues are okay. Please modify the issue above
when importing into Fedora CVS.

------------------------------------------------------------
   This package (javassist) is APPROVED by mtasaka
------------------------------------------------------------
Comment 6 Sandro Mathys 2009-01-03 13:47:30 EST
New Package CVS Request
=======================
Package Name: javassist
Short Description: The Java Programming Assistant provides simple Java bytecode manipulation
Owners: red
Branches: F-9 F-10
InitialCC:
Comment 7 Kevin Fenzi 2009-01-04 15:45:24 EST
cvs done.
Comment 8 Fedora Update System 2009-01-09 17:08:31 EST
javassist-3.9.0-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/javassist-3.9.0-1.fc9
Comment 9 Fedora Update System 2009-01-09 17:08:34 EST
javassist-3.9.0-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/javassist-3.9.0-1.fc10
Comment 10 Mamoru TASAKA 2009-01-11 08:51:32 EST
Okay, thanks.
Comment 11 Fedora Update System 2009-01-14 22:02:47 EST
javassist-3.9.0-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2009-01-14 22:06:27 EST
javassist-3.9.0-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Jason Tibbitts 2010-11-18 16:14:33 EST
*** Bug 227067 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.